Ntfs Drive Protection v1

Ntfs Drive Protection v1.0 (Protect your USB Flash Drives from Infected Computers easily)

USB Flash Drives helps us to transfer files from desktop to/from laptops or even share its content with our peers. It makes our life easier but If the USB flash drive is infected with virus, not only you may lose the data in the storage, you are also affecting the security of every computer once it’s plugged in . Ntfs Drive Protection can help you to Protect your Removable Drives and even if your storage device has been plugged into an infected computer, the malware will be unable to create its autorun.inf.

Ntfs Drive Protection can change the NTFS access permissions and in this way protect your removable drive's Files and Folders.

Start protection:

To use the "Ntfs Drive Protection" your Removable Drive's Files system must be NTFS

1. Run Ntfs Drive Protection and select your drive (under the Target Drive)

2. If you want to create a unprotected File , tick the "Create a Unprotected Folder" checkbox and write the Folder's name.

3. Click the Start Protection Button and Wait for End

After Start the protection , you can use the Removable Drive's files and folders but you can not change them or you can not create a new File /Folder. If you create a Unprotected folder you can easily add a file or folder in it but a virus infection is also possible. If you select "Reset Permissions on All Files" the permissions of all files on the selected drive will reset (Normally you don't need to use it) , This option may cause the Process take longer, depending on the number of Files/Folders and access speed

After The process is complete, the above message box will be displayed

Now your Removable Drive is Protected and status indicator (right side of the process bar) shows you a white key on a green background

Stop protection:

1. Run Ntfs Drive Protection and select your drive (under the Target Drive)

2. Click the Stop Protection Button and Wait for End

This option may cause the Process take longer, depending on the number of drivers , files and access speed

After the process completed , The above message box will be displayed. Now your Removable Drive is Unprotected and status indicator (right side of the process bar) shows you a white unlocked key on a Red background

If your Removable Drive's File format is not NTFS , You can easily Convert it but first of all please do not forget to backup all your Removable drives's data

Convert your Removable Drive's File System to NTFS

Click the "Other options" button (at the end of the right upper side) and select Format Drive Option

Under the File system , select NTFS and click the Start button.

Note: If you use Windows XP or Windows 2003 and can't see the NTFS Option please unplug your Removable drive and Plug it again. Format will delete all your data in Removable drive

Other Options:

If you tick "Show all Drives" option you can see your local drives too , In addition you can see all other options above . Under the Menu Button you can change the Language or you can change the owner, but if you change the owner to everyone , it can be hard to change the permissions on other computers and the Process may take longer. for the user "everyone" you don't need to take ownership of files and Folders.

Note: Before open the write-protection we recommend you to copy Ntfs Drive Protection to your Removable drive. You may want to Stop protection Quickly. we wish you to stay away from viruses.

Copyright © 2013 Sordum.org. All rights reserved.


Ntfs Drive Protection

Ntfs Drive Protection v1.0

Usb depolama birimlerinin yaygınlaşmasıyla birlikte, sistemimize bulaşan zararlı yazılımların (virüslerin) bir çoğu, haliyle usb depolama birimlerinden bulaşmaktadır. Misal zararlı yazılım bulunan bir bilgisayara flash diskimizi taktığımızda, ilgili zararlı yazılım flash diskimize bulaşabilir. Flash diskimize bulaşan zararlı yazılımların, flash diskimizi taktığımız her bilgisayara da bulaşması mümkün!

Bilgisayarımızda kaliteli güncel bir antivirüs yazılımı varsa (Nod32, Kaspersky vs. gibi), zararlı yazılımların birçoğundan korunmuş oluruz. Lakin antivirüs yazılımının güncelleme bilgisinde ilgili zararlı yazılıma ait bilgi yoksa haliyle zararlı yazılım (virüs) sistemimize bulaşabilir.

Neyse fazla uzatmadan disklerimizi virüslerden korumak için hazırladığımız ufak programı sizlere tanıtmak istiyorum...

Program kısaca seçtiğiniz sürücüdeki yazma/değiştirme izinlerini engelleyerek sürücünüze ve dosyalarınıza virüs bulaşmasını engelliyor. Korumayı uyguladıktan sonra sürücünüzdeki dosyaları kullanabileceksiniz lakin ilgili dosyaları değiştirmeyecek silemeyecek veyahut yeni dosya oluşturamayacaksınız.

Seçtiğiniz sürücüde korumayı açmak için sürücümüzün dosya sisteminin ntfs olması gerekiyor. Eğer sürümüzün dosya sistemi ntfs değilse, sürücümüzü ntfs dosya sistemini seçerek biçimlendirmelisiniz. Program üzerinden nasıl biçimlendirme yapacağınız birkaç adım aşağıda anlatılmıştır.

Korumayı Açmak

1 - Programı çalıştırıp, kutudan sürücünüzü seçiniz.
2 - Sürücünüzde korumasız klasör oluşturmak isterseniz, korumasız klasör oluştur seneğini işaretleyerek altındaki kutuya klasörünüzün ismini yazınız.
3 - Korumayı aç tuşuna basarak işlemin bitmesini bekleyiniz.

Korumasız klasör oluşturma seçeneğini seçip korumayı açarsanız, kutuya girdiğiniz klasör içine yeni dosya ekleyebilir veyahut içindeki dosyaları değiştirebilirsiniz. Lakin koruma bulunmayan klasör içindeki dosyalara virüslerin bulaşması mümkün. Diskinizi farklı bilgisayarlarda kullandıysanız, kendi bilgisayarınızda kullanmadan önce bu klasörü virüs taramasından geçirmeniz faydalı olacaktır.

Bu arada tüm dosyaların izinlerini sıfırla seçeneğini seçerseniz, sürücünüzdeki her dosya ve klasör için izinler değiştirilir. Bu seçenek işlemlerin daha uzun sürmesine neden olacaktır. Normalde bu seçeneği kullanmanıza gerek yok. Bu seçeneği sürücünün alt klasörlerindeki nesnelerin izinleriyle oynadıysanız, tüm izinleri sıfırlamak için kullanabilirsiniz.

Sürünüzün erişim hızına ve içindeki dosya sayısına bağlı olarak işlem süresi uzayabilir.

Işlem tamamlanınca yukarıdaki mesaj kutusu ekrana gelecektir.

Artık ilgili sürücünüz virüslere karşı korunmaktadır. Menu butonunu üzerindeki yeşil üzerindeki kapalı kilit sürücünün yazmaya karşı korunduğunu belirtiyor.

Korumayı Kapatmak

1 - Programı çalıştırıp, kutudan sürücünüzü seçiniz.
2 - Korumayı kapat tuşuna basarak işlemin bitmesini bekleyiniz.

Sürünüzün erişim hızına ve içindeki dosya sayısına bağlı olarak işlem süresi uzayabilir.

İşlem tamamlanınca yukarıdaki mesaj kutusu ekrana gelecektir.

Sürücünüzdeki koruma kapatılmıştır. Menu butonunun üzerindeki kırmızı üzerindeki beyaz renkli açık kilit şekli sürücünün korunmadığını belirtiyor.

Sürücüyü Biçimlendirmek

Sürücü kutusunun hizasında bulunan en sondaki butona tıklatıp sürücüyü biçimlendir seçeneğini seçiniz.

Dosya sistemi kutusundan NTFS seçeneğini seçip Başlat tuşuna basınız.

Soru: Windows XP kullanıyorum ve biçimlendirme ekranında NTFS seçeneği yok!
Cevap:Eğer biçimlendirme penceresinde ntfs seçeneği yoksa (Windows XP, Windows 2003 gibi sistemlerde bazen çıkmıyor) biçimlendir penceresini kapatıp, sürücünüzü sistemden çıkartıp tekrar takınız. Ntfs seçeneğinin çıkması için otomatik eklenen kayıt bilgisi ayarlarının sistem tarafından algılanması için sürücünüzü çıkartıp tekrardan takmanız gerekiyor.

Not: Biçimlendirme işleminden sonra sürücünüzdeki tüm dosyalar silinecektir!

Diğer Seçenekler

Bilgisayarınızdaki yerel sürücülerde işlem yapmak isterseniz tüm sürücüleri göster seçeneğini işaretleyebilirsiniz.
Seçili sürücüyü Explorer ile açmak isterseniz sürücü kutusunun yanındaki klasör simgesine tıklatabilirsiniz.
Sürücü listesini yenilemek için klasör simgesinin yanındaki yenile simgesine tıklatabilirsiniz.
Seçili sürücünün kısa bilgisine ulaşmak için yenile simgesinin yanındaki bilgi simgesine tıklatabilirsiniz.
Bilgi simgesinin yanındaki diğer seçenekler simgesine tıklattığında yukarıdaki resimde bulunan seçenekleri görüntüleyebilirsiniz.

Menü butonunun altındaki ayarlardan dili değiştirebilirsiniz.
Menu altındaki seçenekleri görüntüleyip, sahibi seçeneğinden varsayılan dosya sahibini değiştirebilirsiniz. Varsayılan sahip everyone (herkes) kullanıcısıdır. Everyone kullanıcısını değiştirirseniz, farklı bilgisayarlarda dosya izinlerini değiştirmek daha da zorlaşacaktır. Daha fazla koruma sağlamak için everyone kullanıcısını değiştirebilirsiniz lakin farklı bilgisayarlar da korumayı kapatmak biraz daha zaman alacaktır. Çünkü izinleri değiştirmeden önce dosyaların sahipliğinin de alınması gerekecektir. Everyone kullanıcısı için dosya sahipliğini almaya gerek yoktur.
Tüm dosyaları görünür yap seçeneğini işaretlerseniz, seçili sürücüde işlem yapılırken gizli dosyalar görünür olarak işaretlenmektedir.Bu seçenek dosya sayısına bağlı olarak işlemin uzamasına neden olabilir.
Önbellekteki bilgiyi diske yaz seçeneğini işaretlerseniz, seçili sürücüde işlem yapılırken önbelleğindeki bilgi diske yazılır. Bu seçenek kısa da olsa işlemin uzamasına neden olabilir.

Not: Yazma korumasını açmadan önce, programı usb sürücünüze kopyalamanızı tavsiye ederim. Farklı bir bilgisayarda bu korumayı hızlı bir şekilde kapatmak isteyebilirsiniz. Virüslerden uzak olmanız dileğiyle.

Copyright © 2013 Sordum.org. All rights reserved.